      DOUBLE PRECISION FUNCTION MAP_STEEL_GMART(VMART,MS,TQ)
C
C  Function subroutine for estimating GMART
C  Khan and Bhadeshia, 1990
C
      IMPLICIT NONE
      DOUBLE PRECISION M, MAP_STEEL_GMART, VMART, MS, TQ
C
C Value of M taken from reference 1.
C
      M = 0.0029D+00
      MAP_STEEL_GMART = 
     &            (-(DLOG(1.0D+0-VMART))/VMART)-M*(MS-TQ)-1.0D+0
      RETURN
      END
